# AISettings Struct Reference

Settings related to the AI. More...

`#include <settings_type.h>`

## Data Fields
bool | ai_in_multiplayer
| so we allow AIs in multiplayer
bool | ai_disable_veh_train
| disable types for AI
bool | ai_disable_veh_roadveh
| disable types for AI
bool | ai_disable_veh_aircraft
| disable types for AI
bool | ai_disable_veh_ship
| disable types for AI
uint32 | ai_max_opcode_till_suspend
| max opcode calls till AI will suspend

## Detailed Description

Settings related to the AI.

Definition at line 193 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h